<?php
// check qty base and formula

// buat coding tools utk cek 
/*
SELECT * FROM txsales_order_det WHERE fnqty_base = 0 OR ffformula = 0

SELECT * FROM txsales_invoice_det WHERE fnqty_base = 0 OR ffformula = 0

SELECT * FROM txdelivery_order_det WHERE fnqty_base = 0 OR ffformula = 0

SELECT * FROM txstock_out_det WHERE fnqty_base = 0 OR ffformula = 0

SELECT * FROM txstock_in_det WHERE fnqty_base = 0 OR ffformula = 0

SELECT * FROM txstock_adjustment_det WHERE fnqty_base = 0 OR ffformula = 0

SELECT * FROM txstock_mutation_det WHERE fnqty_base = 0 OR ffformula = 0

*/

/* assmbly dan disassembly sementara harga modal ambil dari buying pice. SEHARUSNya dr fifo
 * 
 * 
 */


/* javascript menggunankan metode bawah ini utk menghindari desimal panjang setiap kali simpan
 * c = parseFloat((a-b).toFixed(2));
 */
?>
